public static interface MetricsEndpointBuilderFactory.MetricsBuilders
| Modifier and Type | Method and Description |
|---|---|
default MetricsEndpointBuilderFactory.MetricsEndpointBuilder |
metrics(String path)
Metrics (camel-metrics)
Collect various metrics directly from Camel routes using the
DropWizard metrics library.
|
default MetricsEndpointBuilderFactory.MetricsEndpointBuilder |
metrics(String componentName,
String path)
Metrics (camel-metrics)
Collect various metrics directly from Camel routes using the
DropWizard metrics library.
|
default MetricsEndpointBuilderFactory.MetricsEndpointBuilder metrics(String path)
metrics:metricsType:metricsName
Path parameter: metricsType (required)
Type of metrics
There are 5 enums and the value can be one of: gauge, counter,
histogram, meter, timer
Path parameter: metricsName (required)
Name of metricspath - metricsType:metricsNamedefault MetricsEndpointBuilderFactory.MetricsEndpointBuilder metrics(String componentName, String path)
metrics:metricsType:metricsName
Path parameter: metricsType (required)
Type of metrics
There are 5 enums and the value can be one of: gauge, counter,
histogram, meter, timer
Path parameter: metricsName (required)
Name of metricscomponentName - to use a custom component name for the endpoint
instead of the default namepath - metricsType:metricsNameApache Camel